/*
 * Licensed to Elasticsearch under one or more contributor
 * license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright
 * ownership. Elasticsearch licenses this file to you under
 * the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.elasticsearch.benchmark.scripts.expression;

import org.elasticsearch.plugins.AbstractPlugin;
import org.elasticsearch.script.ScriptModule;

public class NativeScriptPlugin extends AbstractPlugin {

    @Override
    public String name() {
        return "native-benchmark-scripts";
    }

    @Override
    public String description() {
        return "Native benchmark script";
    }

    public void onModule(ScriptModule module) {
        module.registerScript(NativeScript1.NATIVE_SCRIPT_1, NativeScript1.Factory.class);
        module.registerScript(NativeScript2.NATIVE_SCRIPT_2, NativeScript2.Factory.class);
        module.registerScript(NativeScript3.NATIVE_SCRIPT_3, NativeScript3.Factory.class);
        module.registerScript(NativeScript4.NATIVE_SCRIPT_4, NativeScript4.Factory.class);
    }
}
